Package org.eclipse.birt.report.engine.api

# Interface IHTMLActionHandler

All Known Implementing Classes:
  `HTMLActionHandler`

public interface IHTMLActionHandler
Defines an interface for action handler used in HTML format

## Method Summary

Modifier and Type
Method
Description
`String`
`getURL(IAction actionDefn, Object context)`
Generates a URL based on the action definition.
`String`
`getURL(IAction actionDefn, org.eclipse.birt.report.engine.api.script.IReportContext context)`
Generates a URL based on the action definition.

## Method Details

### getURL

String getURL(IAction actionDefn, Object context)
Generates a URL based on the action definition.

Parameters:
  `actionDefn` - definition of an action
  `context` - the context for creating the hyper link
Returns:
  the URL based on an action

### getURL

String getURL(IAction actionDefn, org.eclipse.birt.report.engine.api.script.IReportContext context)
Generates a URL based on the action definition.

Parameters:
  `actionDefn` - definition of an action
  `context` - the context for creatino the hyper link
Returns:
  the URL based on an action